Get quotes list

GEThttps://bank.dattaremit.com/api/quotes

Requires a bank-scoped key.

Retrieves a listing of quotes. Records are sorted by creation date in descending order.

Required scope: quotes:read

Query Params

pageinteger

—

per_pageinteger

—

guidstring

Comma separated quote_guids to list quotes for.

product_typestring

Comma separated product_types to list accounts for.

bank_guidstring

Comma separated bank_guids to list quotes for.

customer_guidstring

Comma separated customer_guids to list quotes for.

sidestring

Comma separated sides to list quotes for.

Responses

200

get list of quotes

400

Invalid requests

401

Unauthorized - Authentication failed

403

Invalid scope

Request

curl https://api.dattaremit.com/api/quotes \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

get list of quotes

{
  "total": 1,
  "page": 1,
  "per_page": 1,
  "objects": [
    {
      "guid": "string",
      "product_type": "string",
      "bank_guid": "string",
      "customer_guid": "string",
      "symbol": "string",
      "side": "string",
      "receive_amount": 1,
      "deliver_amount": 1,
      "fee": 1,
      "fee_details": [
        {
          "type": "bank",
          "asset": "string",
          "amount": 1
        }
      ],
      "created_at": "2026-07-20T16:27:51.438Z",
      "updated_at": "2026-07-20T16:27:51.438Z",
      "issued_at": "2026-07-20T16:27:51.438Z",
      "expires_at": "2026-07-20T16:27:51.438Z",
      "asset": "string",
      "network_fee": 1,
      "network_fee_asset": "string",
      "network_address": "string",
      "entries": [
        {
          "source_account": {
            "guid": null,
            "type": null,
            "bank_guid": null,
            "customer_guid": null
          },
          "destination_account": {
            "guid": null,
            "type": null,
            "bank_guid": null,
            "customer_guid": null
          },
          "receive_amount": 1,
          "deliver_amount": 1,
          "fee": 1
        }
      ],
      "trade_guid": "string",
      "transfer_guid": "string"
    }
  ]
}